Troubleshooting

Mengatasi “the ioncube php loader needs to be installed” pada VestaCP

Singkat saja, ceritanya saya sedang diminta teman mengecek vps yang terpasang VestaCP sebagai panel hostingnya. Saya kurang paham script yang ingin dipakai teman saya, tampaknya custom atau spesifik fungsinya dan yang pasti dilindungi enkripsi ionCube. Hal yang normal sebenarnya.

Tapi karena ada masalah, jelas saya dokumentasikan biar ga lupa kalau kejadian lagi apa solusinya. 😀

Ini pesan kesalahannya:
Site error: the ioncube php loader needs to be installed. this is a widely used php extension for running ioncube protected php code, website security and malware blocking. please visit get-loader.ioncube.com for install assistance.

Solusinya bisa coba yang ini dulu pertama:

/usr/local/vesta/ioncube/ioncube.sh

Alternatifnya bisa pakai ini:

v-delete-vesta-softaculous
rm /usr/local/vesta/softaculous/vst_installed
v-add-vesta-softaculous

Enaknya pakai panel disini sebenarnya, fitur-fiturnya sudah disediakan jadi tinggal gunakan saja. Ini memperbaiki masalah ionCube sendiri dibantu skrip bawaan VestaCP. Cepat dan praktis dibandingkan dengan instalasi ionCube manual.

Tinggalkan Balasan

Alamat email Anda tidak akan dipublikasikan. Ruas yang wajib ditandai *